Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Interface ServerStatus

All Known Implementing Classes:
  ServerStatusImp

    public interface ServerStatus

Contains the last known status and configuration information for the realm.

Method Summary
`int` | `getAcePort()` Obtains the UDP port of the Authentication Manager authentication service.
`java.lang.String` | `getAceProtocol()` Obtains the protocol used to resolve the authentication service port of the Authentication Manager.
`java.lang.String` | `getAceService()` Obtains the service name of the Authentication Manager authentication service.
`int` | `getBaseTimeout()` Obtains the time (number of seconds) that the agent is allowed to wait for a response from the Authentication Manager before timing out.
`int` | `getConfigVersion()` Obtains the version number of the Authentication Manager.
`int` | `getDefAliasOptions()` Obtains the default values for alias options in either the sdconf.rec or the sdopts.rec, depending on which file is more recent.
`int` | `getMaxRetries()` Obtains the maximum number of retries allowed for the agent to communicate with the Authentication Manager.
`ServerInfo[]` | `getServerInfo()` Obtains the current status of all replicas in the realm.
`byte[]` | `getServerRelease()` Obtains release number of the Authentication Manager.

Method Detail

### getConfigVersion

    int getConfigVersion()

  Obtains the version number of the Authentication Manager.

  Returns:
    version number of the Authentication Manager

### getMaxRetries

    int getMaxRetries()

  Obtains the maximum number of retries allowed for the agent to communicate with the Authentication Manager.

  Returns:
    maximum number of retries allowed for the agent to communicate with the Authentication Manager

### getBaseTimeout

    int getBaseTimeout()

  Obtains the time (number of seconds) that the agent is allowed to wait for a response from the Authentication Manager before timing out.

  Returns:
    time (number of seconds) that the agent is allowed to wait for a response from the Authentication Manager before timing out

### getAcePort

    int getAcePort()

  Obtains the UDP port of the Authentication Manager authentication service.

  Returns:
    UDP port of the Authentication Manager authentication service

### getAceService

    java.lang.String getAceService()

  Obtains the service name of the Authentication Manager authentication service.

  Returns:
    service name of the Authentication Manager authentication service

### getAceProtocol

    java.lang.String getAceProtocol()

  Obtains the protocol used to resolve the authentication service port of the Authentication Manager.

  Returns:
    protocol used to resolve the authentication service port of the Authentication Manager

### getDefAliasOptions

    int getDefAliasOptions()

  Obtains the default values for alias options in either the sdconf.rec or the sdopts.rec, depending on which file is more recent.

  Returns:
    the default values for alias options

### getServerInfo

    ServerInfo[] getServerInfo()

  Obtains the current status of all replicas in the realm.

  Returns:
    an object array containing the status of all replicas in the realm
  See Also:
    `ServerInfo`

### getServerRelease

    byte[] getServerRelease()

  Obtains release number of the Authentication Manager.

  If the first byte is 0, the Agent has not yet received the release number from the Authentication Manager.

  Note:Two successful authentications are required before the Authentication Manager can return its version.

  Returns:
    a byte array containing the major, minor, patch, and build versions of the Authentication Manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.